require_relative 'test_helper'

class AccountCreatorTest < Minitest::Test
  def test_response_is_correct
    application_id = 532
    uid = 1231212
    handle = "foobar"
    token = "asdasda"
    secret = "2349966adasds"

    input = {
      "account[handle]" => handle,
      "account[uid]" => uid,
      "account[token]" => token,
      "account[secret]" => secret
    }

    output = {
      "application_id" => application_id,
      "handle" => handle,
      "uid" => uid,
      "token" => token,
      "secret" => secret
    }

    uri = URI.parse("http://localhost:3000/applications/#{application_id}/accounts")
    Net::HTTP.expects(:post_form).with(uri, input).returns(mock(body: output.to_json))

    client = GrowViral::Keystore::Client.new(:development)
    account = client.create_account(application_id, handle, uid, token, secret)

    assert_equal application_id, account.application_id
    assert_equal uid, account.uid
    assert_equal handle, account.handle
    assert_equal token, account.token
    assert_equal secret, account.secret
  end
end

