require_relative 'test_helper'

class ApplicationFetcherTest < Minitest::Test
  def test_response_is_correct
    id = 74
    provider = 'twitter'
    name = "growviral"
    token = "asdasda"
    secret = "2349966adasds"

    output = {
      "id" => id,
      "provider" => provider,
      "name" => name,
      "token" => token,
      "secret" => secret
    }

    uri = URI.parse("http://localhost:3000/applications/#{name}?provider=#{provider}")
    Net::HTTP.expects(:get_response).with(uri).returns(mock(body: output.to_json))

    client = GrowViral::Keystore::Client.new(:development)
    application = client.fetch_application(provider, name)

    assert_equal id, application.id
    assert_equal provider, application.provider
    assert_equal name, application.name
    assert_equal token, application.token
    assert_equal secret, application.secret
  end
end

